BZip2Constants (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.compress.bzip2, interface: BZip2Constants

Package org.apache.hadoop.io.compress.bzip2

# Interface BZip2Constants

All Known Implementing Classes:
  `CBZip2InputStream`, `CBZip2OutputStream`

public interface BZip2Constants
Base class for both the compress and decompress classes. Holds common arrays, and static data.

This interface is public for historical purposes. You should have no need to use it.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `baseBlockSize`
  `static final int`
  `END_OF_BLOCK`
  End of a BZip2 block
  `static final int`
  `END_OF_STREAM`
  End of BZip2 stream.
  `static final int`
  `G_SIZE`
  `static final int`
  `MAX_ALPHA_SIZE`
  `static final int`
  `MAX_CODE_LEN`
  `static final int`
  `MAX_SELECTORS`
  `static final int`
  `N_GROUPS`
  `static final int`
  `N_ITERS`
  `static final int`
  `NUM_OVERSHOOT_BYTES`
  `static final int[]`
  `rNums`
  This array really shouldn't be here.
  `static final int`
  `RUNA`
  `static final int`
  `RUNB`

- ## Field Details

  - ### baseBlockSize

    static final int baseBlockSize
    See Also:
      - Constant Field Values

  - ### MAX_ALPHA_SIZE

    static final int MAX_ALPHA_SIZE
    See Also:
      - Constant Field Values

  - ### MAX_CODE_LEN

    static final int MAX_CODE_LEN
    See Also:
      - Constant Field Values

  - ### RUNA

    static final int RUNA
    See Also:
      - Constant Field Values

  - ### RUNB

    static final int RUNB
    See Also:
      - Constant Field Values

  - ### N_GROUPS

    static final int N_GROUPS
    See Also:
      - Constant Field Values

  - ### G_SIZE

    static final int G_SIZE
    See Also:
      - Constant Field Values

  - ### N_ITERS

    static final int N_ITERS
    See Also:
      - Constant Field Values

  - ### MAX_SELECTORS

    static final int MAX_SELECTORS
    See Also:
      - Constant Field Values

  - ### NUM_OVERSHOOT_BYTES

    static final int NUM_OVERSHOOT_BYTES
    See Also:
      - Constant Field Values

  - ### END_OF_BLOCK

    static final int END_OF_BLOCK
    End of a BZip2 block
    See Also:
      - Constant Field Values

  - ### END_OF_STREAM

    static final int END_OF_STREAM
    End of BZip2 stream.
    See Also:
      - Constant Field Values

  - ### rNums

    static final int[] rNums
    This array really shouldn't be here. Again, for historical purposes it is.

    FIXME: This array should be in a private or package private location, since it could be modified by malicious code.